Index · Directives · Python · libudev · gudev systemd 220

## Name

systemd-modules-load.service, systemd-modules-load — Load kernel modules at boot

## Synopsis

`systemd-modules-load.service`

`/usr/lib/systemd/systemd-modules-load`

## Description

`systemd-modules-load.service` is an early-boot service that loads kernel modules based on static configuration.

See modules-load.d(5) for information about the configuration of this service.

## Kernel Command Line

`systemd-modules-load.service` understands the following kernel command line parameters:

`modules-load=`, `rd.modules-load=`

  Takes a comma-separated list of kernel modules to statically load during early boot. The option prefixed with "`rd.`" is read by the initial RAM disk only.

## See Also

systemd(1), modules-load.d(5),